Package org.apache.wiki.tags

## Class TabbedSectionTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - org.apache.wiki.tags.TabbedSectionTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

    public class TabbedSectionTag
    extends javax.servlet.jsp.tagext.BodyTagSupport

Generates tabbed page section: container for the Tab tag. Works together with the tabbedSection javacript.

Attributes

- defaultTab - Page name to refer to. Default is the current page.

Since:
  v2.3.63
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`TabbedSectionTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doAfterBody()` The tabbed section iterates 3 time through the underlying Tab tags - first it identifies the default tab (displayed by default) - second it generates the tabmenu markup (displays all tab-titles) - finally it generates the content of each tab.
`int` `doEndTag()`
`int` `doStartTag()`
`boolean` `isStateFindDefaultTab()` Returns true, if the tab system is currently trying to figure out which is the default tab.
`boolean` `isStateGenerateTabBody()` Returns true, if the tab system is currently generating the tab body.
`boolean` `isStateGenerateTabMenu()` Returns true, if the tab system is currently generating the tab menu.
`void` `release()`
`void` `setDefaultTab​(java.lang.String anDefaultTabId)` Set the id of the default tab (the tab which should be shown when the page is first loaded).
`boolean` `validateDefaultTab​(java.lang.String aTabId)`

### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

### Constructor Detail

#### TabbedSectionTag

    public TabbedSectionTag()

### Method Detail

#### release

    public void release()

Specified by:
  `release` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

#### setDefaultTab

    public void setDefaultTab​(java.lang.String anDefaultTabId)

Set the id of the default tab (the tab which should be shown when the page is first loaded).

Parameters:
  `anDefaultTabId` - ID attribute of the default tab.

#### validateDefaultTab

    public boolean validateDefaultTab​(java.lang.String aTabId)

#### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

Specified by:
  `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
Throws:
  `javax.servlet.jsp.JspTagException`

#### isStateFindDefaultTab

    public boolean isStateFindDefaultTab()

Returns true, if the tab system is currently trying to figure out which is the default tab.

Returns:
  True, if finding the default tab.

#### isStateGenerateTabMenu

    public boolean isStateGenerateTabMenu()

Returns true, if the tab system is currently generating the tab menu.

Returns:
  True, if currently generating the menu itself.

#### isStateGenerateTabBody

    public boolean isStateGenerateTabBody()

Returns true, if the tab system is currently generating the tab body.

Returns:
  True, if the tab system is currently generating the tab body.

#### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspTagException

The tabbed section iterates 3 time through the underlying Tab tags - first it identifies the default tab (displayed by default) - second it generates the tabmenu markup (displays all tab-titles) - finally it generates the content of each tab.

Specified by:
  `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
Overrides:
  `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
Returns:
Throws:
  `javax.servlet.jsp.JspTagException`

#### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspTagException

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
Throws:
  `javax.servlet.jsp.JspTagException`